## kf6-kidletime 6.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.12.0") # handled by release scripts
project(KIdleTime VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 6.12.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(KDEGitCommitHooks)
include(CMakeFindFrameworks)
include(CMakePackageConfigHelpers)
include(ECMGenerateExportHeader)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMDeprecationSettings)
include(ECMAddQch)

set(kiconthemes_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kidletime_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KIDLETIME
                        VERSION_HEADER "${kiconthemes_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6IdleTimeConfigVersion.cmake"
                        SOVERSION 6)

set(REQUIRED_QT_VERSION 6.6.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui)

option(WITH_X11 "Build X11 support" ON)
option(WITH_WAYLAND "BUILD Wayland support" ON)

if(APPLE OR WIN32 OR HAIKU)
    set(WITH_X11 OFF)
    set(WITH_WAYLAND OFF)
endif()

if(APPLE)
    cmake_find_frameworks(CoreFoundation Carbon)
endif()

if(WITH_X11)
    find_package(X11 REQUIRED)
    find_package(XCB REQUIRED COMPONENTS XCB SYNC)
    find_package(X11_XCB REQUIRED)
    set(HAVE_X11 TRUE)

    if (X11_XSync_FOUND AND XCB_XCB_FOUND AND X11_XCB_FOUND AND XCB_SYNC_FOUND)
        # One cannot just use "set(HAVE_XSYNC X11_XSync_FOUND AND XCB_XCB_FOUND...)"
        # Doing so would create a list because the value passed to set() is not evaluated.
        set(HAVE_XSYNC TRUE)
    else()
        set(HAVE_XSYNC FALSE)
    endif()
    add_feature_info("libXext" X11_XSync_FOUND "required for X-Sync based poller")
    add_feature_info("libX11-xcb" X11_XCB_FOUND "required for X-Sync based poller")
    add_feature_info("libxcb" XCB_XCB_FOUND "required for X-Sync based poller")
    add_feature_info("libxcb-sync" XCB_SYNC_FOUND "required for X-Sync based poller")
    add_feature_info("X-Sync based poller" HAVE_XSYNC "efficient operation of KIdleTime. STRONGLY RECOMMENDED (requires libXext, libX11-xcb, libxcb and libxcb-sync)")

    set(HAVE_XSCREENSAVER ${X11_Xscreensaver_FOUND})
    add_feature_info("X-Screensaver based poller" HAVE_XSCREENSAVER "KIdleTime fallback mode (libXss)")

    if(HAVE_XSCREENSAVER)
        find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
    endif()

    if(NOT HAVE_XSCREENSAVER AND NOT HAVE_XSYNC)
        message(FATAL_ERROR "\nNeither the XSync (libXext) nor XScreensaver (libXss) development package was found.\nPlease install one of them (XSync is recommended)")
    endif()
else()
    set(HAVE_X11 FALSE)
endif()

if(WITH_WAYLAND)
    find_package(Qt6Gui REQUIRED CONFIG COMPONENTS Private)
    find_package(Qt6WaylandClient ${REQUIRED_QT_VERSION} REQUIRED CONFIG)
    find_package(Wayland 1.9 REQUIRED Client)
    find_package(PlasmaWaylandProtocols 1.6.0 CONFIG REQUIRED)
    find_package(WaylandProtocols 1.27)
    set_package_properties(WaylandProtocols PROPERTIES
        TYPE REQUIRED
        PURPOSE "Collection of Wayland protocols that add functionality not available in the Wayland core protocol"
        URL "https://gitlab.freedesktop.org/wayland/wayland-protocols/"
    )
endif()

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_set_disabled_deprecation_versions(
    QT 6.8.0
)

# Subdirectories
add_subdirectory(src)
add_subdirectory(examples)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6IdleTime")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6IdleTime_QCH
        FILE KF6IdleTimeQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6IdleTimeQchTargets.cmake\")")
endif()

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF6IdleTimeConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF6IdleTimeConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF6IdleTimeConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF6IdleTimeConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF6IdleTimeTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6IdleTimeTargets.cmake NAMESPACE KF6:: )

install(FILES ${kiconthemes_version_header}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KIdleTime COMPONENT Devel)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## kf6-kidletime 6.3.0

=== debian/changelog ===
kf6-kidletime (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:46:14 +0200

kf6-kidletime (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sun, 31 Mar 2024 13:52:34 +0200

kidletime (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Enable LTO (Closes: #1015450).

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Mar 2024 11:07:15 +0100

kidletime (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:28 +0200

kidletime (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:49 +0100

kidletime (5.103.0-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Drop the unused leftovers of the 'testsuite' autpkgtest.
  * Remove the unused debian/meta/ stuff.
  * CI: enable again the blhc job.
  * Fix building on non-Linux architectures, by limiting the Wayland support
    to Linux architectures:
    - restrict some build dependencies as linux-any: libqt5waylandclient5-dev,
      libwayland-dev, plasma-wayland-protocols, qtwayland5-dev-tools, and
      wayland-protocols
    - add the dh-exec build dependency, needed for architecture-based filtering
      in install files
    - ship the Wayland plugins in libkf5idletime5 only in Linux architectures
  * Enable the libxss-dev build dependency again on Hurd architectures, as it is
    available now.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Feb 2023 16:46:01 +0100

kidletime (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:23 +0100

kidletime (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:01 +0100

kidletime (5.101.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing build dependencies for the Wayland plugin.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 15 Dec 2022 23:02:11 +0100

kidletime (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:22 +0100

kidletime (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:56 +0100

kidletime (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:36 +0200

kidletime (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:28 +0200

kidletime (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:32:57 +0200

kidletime (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:02 +0200

kidletime (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.92.0).
  * Update the list of installed files.
  * Update symbols from build for 5.92.0.
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:43 +0200

kidletime (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:41 +0100

kidletime (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:40 +0900

kidletime (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]


=== debian/control ===
Source: kf6-kidletime
Priority: optional
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               libwayland-dev (>= 1.9~) [linux-any],
               libx11-dev,
               libx11-xcb-dev,
               libxcb-sync-dev,
               libxcb1-dev,
               libxss-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.6.0~) [linux-any],
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               qt6-wayland-dev (>= 6.5.0~) [linux-any],
               wayland-protocols (>= 1.27~) [linux-any],
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kidletime
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kidletime
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kidletime.git
Rules-Requires-Root: no

Package: libkf6idletime-dev
Section: libdevel
Architecture: any
Depends: libkf6idletime6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6idletime-doc (= ${source:Version}),
Description: development headers for the kidletime library
 This package contains development files for building software that uses
 libraries from the kidletime KDE framework.

Package: libkf6idletime-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library to provide information about idle time (documentation)
 This library contains a class that allows applications to watch for
 user activity or inactivity. It is useful not only for finding out about
 the current idle time of the PC, but also for getting notified upon idle
 time events, such as custom timeouts, or user activity.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6idletime6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Recommends: kwayland-integration,
Description: library to provide information about idle time
 This library contains a class that allows applications to watch for
 user activity or inactivity. It is useful not only for finding out about
 the current idle time of the PC, but also for getting notified upon idle
 time events, such as custom timeouts, or user activity.

## kf6-kidletime 6.6.0

=== debian/changelog ===
kf6-kidletime (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 22:59:46 +0200

kf6-kidletime (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.
  * CI: update/simplify configuration.
  * Pass -DWITH_WAYLAND=OFF to cmake on non-Linux architectures to disable the
    Wayland support, as it is Linux-specific.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Aug 2024 17:58:53 +0200

kf6-kidletime (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:21:59 +0200

kf6-kidletime (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:05 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                libwayland-dev (>= 1.9~) [linux-any],
                libx11-dev,
                libx11-xcb-dev,

## kf6-kidletime 6.9.0

=== debian/changelog ===
kf6-kidletime (6.9.0-0ubuntu2) plucky; urgency=medium

  * Sync changes from 6.8.0-2
  [ Aurélien COUDERC ]
  * Drop leftover dependency on Qt5 kwayland-integration.

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Jan 2025 08:50:55 +0000

kf6-kidletime (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:47:00 +0000

kf6-kidletime (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:36:24 +0000

kf6-kidletime (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:06:19 +0100

kf6-kidletime (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:23:05 +0100

kf6-kidletime (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:34:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kidletime
 Priority: optional
 Section: libs
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -10,7 +11,7 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
                libwayland-dev (>= 1.9~) [linux-any],
                libx11-dev,
                libx11-xcb-dev,
@@ -26,8 +27,8 @@
                wayland-protocols (>= 1.27~) [linux-any],
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kidletime
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kidletime
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kidletime.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kidletime
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kidletime
 Rules-Requires-Root: no
 
 Package: libkf6idletime-dev
@@ -58,7 +59,6 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Multi-Arch: same
-Recommends: kwayland-integration,
 Description: library to provide information about idle time
  This library contains a class that allows applications to watch for
  user activity or inactivity. It is useful not only for finding out about

## kf6-kidletime 6.10.0

=== debian/changelog ===
kf6-kidletime (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:23:15 +0100

kf6-kidletime (6.8.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Drop leftover dependency on Qt5 kwayland-integration. (Closes:
    #1091815)

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 02 Jan 2025 09:07:48 +0100

kf6-kidletime (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 11:59:15 +0100

kf6-kidletime (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:25 -0600

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: kf6-kidletime
 Priority: optional
 Section: libs
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.9.0~),
+               extra-cmake-modules (>= 6.10.0~),
                libwayland-dev (>= 1.9~) [linux-any],
                libx11-dev,
                libx11-xcb-dev,
@@ -20,22 +19,22 @@
                libxss-dev,
                pkgconf,
                plasma-wayland-protocols (>= 1.6.0~) [linux-any],
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-               qt6-wayland-dev (>= 6.5.0~) [linux-any],
+               qt6-wayland-dev (>= 6.6.0~) [linux-any],
                wayland-protocols (>= 1.27~) [linux-any],
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kidletime
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kidletime
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kidletime
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kidletime
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kidletime.git
 Rules-Requires-Root: no
 
 Package: libkf6idletime-dev
 Section: libdevel
 Architecture: any
 Depends: libkf6idletime6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6idletime-doc (= ${source:Version}),
 Description: development headers for the kidletime library

## kf6-kidletime 6.11.0

=== debian/changelog ===
kf6-kidletime (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 16:58:57 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                libwayland-dev (>= 1.9~) [linux-any],
                libx11-dev,
                libx11-xcb-dev,

## kf6-kidletime 6.12.0

=== debian/changelog ===
kf6-kidletime (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:52:22 +0000

kf6-kidletime (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:48:02 +0000

kf6-kidletime (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:19:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: kf6-kidletime
 Priority: optional
 Section: libs
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-exec,
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
                libwayland-dev (>= 1.9~) [linux-any],
                libx11-dev,
                libx11-xcb-dev,
@@ -19,22 +20,22 @@
                libxss-dev,
                pkgconf,
                plasma-wayland-protocols (>= 1.6.0~) [linux-any],
-               qt6-base-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-               qt6-wayland-dev (>= 6.6.0~) [linux-any],
+               qt6-wayland-dev (>= 6.5.0~) [linux-any],
                wayland-protocols (>= 1.27~) [linux-any],
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kidletime
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kidletime
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kidletime.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kidletime
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kidletime
 Rules-Requires-Root: no
 
 Package: libkf6idletime-dev
 Section: libdevel
 Architecture: any
 Depends: libkf6idletime6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6idletime-doc (= ${source:Version}),
 Description: development headers for the kidletime library

## kf6-kidletime 6.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.13.0") # handled by release scripts
 project(KIdleTime VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.12.0  NO_MODULE)
+find_package(ECM 6.13.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -98,7 +98,7 @@
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.8.0
+    QT 6.9.0
 )
 
 # Subdirectories

=== debian/changelog ===
kf6-kidletime (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:35:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: kf6-kidletime
 Priority: optional
 Section: libs
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
+               extra-cmake-modules (>= 6.13.0~),
                libwayland-dev (>= 1.9~) [linux-any],
                libx11-dev,
                libx11-xcb-dev,
@@ -20,22 +19,22 @@
                libxss-dev,
                pkgconf,
                plasma-wayland-protocols (>= 1.6.0~) [linux-any],
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-               qt6-wayland-dev (>= 6.5.0~) [linux-any],
+               qt6-wayland-dev (>= 6.6.0~) [linux-any],
                wayland-protocols (>= 1.27~) [linux-any],
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kidletime
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kidletime
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kidletime
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kidletime
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kidletime.git
 Rules-Requires-Root: no
 
 Package: libkf6idletime-dev
 Section: libdevel
 Architecture: any
 Depends: libkf6idletime6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6idletime-doc (= ${source:Version}),
 Description: development headers for the kidletime library

## kf6-kidletime 6.16.0

=== debian/changelog ===
kf6-kidletime (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:43:22 +0100

kf6-kidletime (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:33:19 +0100

kf6-kidletime (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:57:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: kf6-kidletime
 Priority: optional
 Section: libs
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-exec,
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.13.0~),
+               extra-cmake-modules (>= 6.16.0~),
                libwayland-dev (>= 1.9~) [linux-any],
                libx11-dev,
                libx11-xcb-dev,
@@ -19,22 +20,22 @@
                libxss-dev,
                pkgconf,
                plasma-wayland-protocols (>= 1.6.0~) [linux-any],
-               qt6-base-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-               qt6-wayland-dev (>= 6.6.0~) [linux-any],
+               qt6-wayland-dev (>= 6.5.0~) [linux-any],
                wayland-protocols (>= 1.27~) [linux-any],
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kidletime
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kidletime
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kidletime.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kidletime
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kidletime
 Rules-Requires-Root: no
 
 Package: libkf6idletime-dev
 Section: libdevel
 Architecture: any
 Depends: libkf6idletime6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6idletime-doc (= ${source:Version}),
 Description: development headers for the kidletime library

## kf6-kidletime 6.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.13.0") # handled by release scripts
+set(KF_VERSION "6.17.0") # handled by release scripts
 project(KIdleTime VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.13.0  NO_MODULE)
+find_package(ECM 6.17.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -23,7 +23,7 @@
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 include(ECMDeprecationSettings)
-include(ECMAddQch)
+include(ECMGenerateQDoc)
 
 set(kiconthemes_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kidletime_version.h")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KIDLETIME
@@ -31,7 +31,7 @@
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6IdleTimeConfigVersion.cmake"
                         SOVERSION 6)
 
-set(REQUIRED_QT_VERSION 6.6.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui)
 
 option(WITH_X11 "Build X11 support" ON)
@@ -94,11 +94,8 @@
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
-
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
+    QT 6.10.0
 )
 
 # Subdirectories
@@ -107,16 +104,6 @@
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6IdleTime")
-
-if (BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KF6IdleTime_QCH
-        FILE KF6IdleTimeQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6IdleTimeQchTargets.cmake\")")
-endif()
 
 configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF6IdleTimeConfig.cmake.in"
                               "${CMAKE_CURRENT_BINARY_DIR}/KF6IdleTimeConfig.cmake"

=== src/CMakeLists.txt ===
configure_file(config-kidletime.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kidletime.h )

add_library(KF6IdleTime)
add_library(KF6::IdleTime ALIAS KF6IdleTime)

set_target_properties(KF6IdleTime PROPERTIES
    VERSION     ${KIDLETIME_VERSION}
    SOVERSION   ${KIDLETIME_SOVERSION}
    EXPORT_NAME IdleTime
)

target_sources(KF6IdleTime PRIVATE
    kidletime.cpp
    kabstractidletimepoller.cpp
    kwindowbasedidletimepoller.cpp
)

ecm_qt_declare_logging_category(KF6IdleTime
    HEADER logging.h
    IDENTIFIER KIDLETIME
    CATEGORY_NAME kf.idletime
    OLD_CATEGORY_NAMES org.kde.kf5.idletime
    DESCRIPTION "kidletime (lib)"
    EXPORT KIDLETIME
)

ecm_generate_export_header(KF6IdleTime
    BASE_NAME KIdleTime
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF6IdleTime INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KIdleTime>")

target_link_libraries(KF6IdleTime PUBLIC Qt6::Core)
target_link_libraries(KF6IdleTime PRIVATE Qt6::Gui)

add_subdirectory(plugins)

ecm_generate_headers(KIdleTime_HEADERS
  HEADER_NAMES
  KIdleTime

  REQUIRED_HEADERS KIdleTime_HEADERS
)


install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kidletime_export.h
  ${KIdleTime_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KIdleTime COMPONENT Devel
)

install(
    FILES
        kabstractidletimepoller_p.h
    DESTINATION
        ${KDE_INSTALL_INCLUDEDIR_KF}/KIdleTime/private
    COMPONENT
        Devel
)

install(TARGETS KF6IdleTime EXPORT KF6IdleTimeTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})


ecm_qt_install_logging_categories(
    EXPORT KIDLETIME
    FILE kidletime.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

ecm_generate_qdoc(KF6IdleTime kidletime.qdocconf)

=== src/plugins/CMakeLists.txt ===
if(APPLE)
    add_subdirectory(osx)
endif()

if(WIN32)
    add_subdirectory(windows)
endif()

if(WITH_X11)
    if(HAVE_XSCREENSAVER)
        add_subdirectory(xscreensaver)
    endif()
    if(HAVE_XSYNC)
        add_subdirectory(xsync)
    endif()
endif()

if (WITH_WAYLAND)
    add_subdirectory(wayland)
endif()

=== debian/changelog ===
kf6-kidletime (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:15:38 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
                libwayland-dev (>= 1.9~) [linux-any],
                libx11-dev,
                libx11-xcb-dev,

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d\.]*)/kidletime-(.*)\.tar\.xz

## kf6-kidletime 6.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.17.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
 project(KIdleTime VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.17.0  NO_MODULE)
+find_package(ECM 6.18.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/plugins/windows/CMakeLists.txt ===
add_library(KF6IdleTimeWindowsPlugin MODULE)

target_sources(KF6IdleTimeWindowsPlugin PRIVATE
    windowspoller.cpp
)

target_link_libraries(KF6IdleTimeWindowsPlugin
    KF6IdleTime
)

install(
    TARGETS
        KF6IdleTimeWindowsPlugin
    DESTINATION
        ${KDE_INSTALL_PLUGINDIR}/kf6/org.kde.kidletime.platforms/
)

=== src/plugins/xsync/CMakeLists.txt ===
add_library(KF6IdleTimeXcbPlugin0 MODULE)

target_include_directories(KF6IdleTimeXcbPlugin0
    PRIVATE
        ${XCB_XCB_INCLUDE_DIR}
        ${XCB_SYNC_INCLUDE_DIR}
)

target_sources(KF6IdleTimeXcbPlugin0 PRIVATE
    xsyncbasedpoller.cpp
    ../../logging.cpp
)

ecm_qt_declare_logging_category(KF6IdleTimeXcbPlugin0
    HEADER xsync_logging.h
    IDENTIFIER KIDLETIME_XSYNC_PLUGIN
    CATEGORY_NAME kf.idletime.xsync
    OLD_CATEGORY_NAMES org.kde.kf5.idletime.xsync
    DESCRIPTION "xsync plugin"
    EXPORT KIDLETIME
)

target_link_libraries(KF6IdleTimeXcbPlugin0
    KF6IdleTime
    Qt6::Gui
    XCB::XCB
    XCB::SYNC
    X11::XCB
    ${X11_LIBRARIES}
    ${X11_Xext_LIB}
)

install(
    TARGETS
        KF6IdleTimeXcbPlugin0
    DESTINATION
        ${KDE_INSTALL_PLUGINDIR}/kf6/org.kde.kidletime.platforms/
)

=== debian/changelog ===
kf6-kidletime (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:15:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: kf6-kidletime
 Priority: optional
 Section: libs
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.17.0~),
+               extra-cmake-modules (>= 6.18.0~),
                libwayland-dev (>= 1.9~) [linux-any],
                libx11-dev,
                libx11-xcb-dev,
@@ -20,22 +19,22 @@
                libxss-dev,
                pkgconf,
                plasma-wayland-protocols (>= 1.6.0~) [linux-any],
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-               qt6-wayland-dev (>= 6.5.0~) [linux-any],
+               qt6-wayland-dev (>= 6.7.0~) [linux-any],
                wayland-protocols (>= 1.27~) [linux-any],
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kidletime
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kidletime
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kidletime
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kidletime
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kidletime.git
 Rules-Requires-Root: no
 
 Package: libkf6idletime-dev
 Section: libdevel
 Architecture: any
 Depends: libkf6idletime6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Recommends: libkf6idletime-doc (= ${source:Version}),
 Description: development headers for the kidletime library
@@ -57,7 +56,8 @@
 
 Package: libkf6idletime6
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Multi-Arch: same
 Description: library to provide information about idle time
  This library contains a class that allows applications to watch for

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

include /usr/share/dpkg/architecture.mk

ifneq (linux,$(DEB_HOST_ARCH_OS))
        EXTRA_CMAKE_ARGS += -DWITH_WAYLAND=OFF
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON $(EXTRA_CMAKE_ARGS)

## kf6-kidletime 6.19.0

=== examples/CMakeLists.txt ===
add_executable(kidletime_example main.cpp KIdleTest.cpp)
target_link_libraries(kidletime_example KF6::IdleTime Qt6::Gui)

=== debian/changelog ===
kf6-kidletime (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:06:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: kf6-kidletime
 Priority: optional
 Section: libs
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-exec,
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.19.0~),
                libwayland-dev (>= 1.9~) [linux-any],
                libx11-dev,
                libx11-xcb-dev,
@@ -19,22 +20,22 @@
                libxss-dev,
                pkgconf,
                plasma-wayland-protocols (>= 1.6.0~) [linux-any],
-               qt6-base-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-               qt6-wayland-dev (>= 6.7.0~) [linux-any],
+               qt6-wayland-dev (>= 6.5.0~) [linux-any],
                wayland-protocols (>= 1.27~) [linux-any],
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kidletime
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kidletime
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kidletime.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kidletime
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kidletime
 Rules-Requires-Root: no
 
 Package: libkf6idletime-dev
 Section: libdevel
 Architecture: any
 Depends: libkf6idletime6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6idletime-doc (= ${source:Version}),
 Description: development headers for the kidletime library
@@ -56,8 +57,7 @@
 
 Package: libkf6idletime6
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Multi-Arch: same
 Description: library to provide information about idle time
  This library contains a class that allows applications to watch for
